#! /bin/sh /usr/share/dpatch/dpatch-run
## 13_apis.dpatch by Micah Anderson <Micah Anderson <micah@debian.org>>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad trunk~/configure trunk/configure
--- trunk~/configure	2006-03-20 08:16:49.000000000 -0500
+++ trunk/configure	2006-04-16 00:01:52.000000000 -0400
@@ -26229,7 +26229,7 @@
 #define VC_ENABLE_API_LEGACY 1
 _ACEOF
 
-				enable_api_old_proc=1
+				enable_api_oldproc=1
 				enable_api_olduts=1
 				;;
 		(v11)    	cat >>confdefs.h <<\_ACEOF
@@ -26259,6 +26259,8 @@
 #define VC_ENABLE_API_NET 1
 _ACEOF
 ;;
+		(oldproc)	enable_api_oldproc=1;;
+		(olduts)	enable_api_olduts=1;;
 		(*)		{ { echo "$as_me:$LINENO: error: '$i' is not a supported API" >&5
 echo "$as_me: error: '$i' is not a supported API" >&2;}
    { (exit 1); exit 1; }; };;
diff -urNad trunk~/configure.ac trunk/configure.ac
--- trunk~/configure.ac	2006-03-20 08:16:49.000000000 -0500
+++ trunk/configure.ac	2006-04-16 00:01:52.000000000 -0400
@@ -233,7 +233,7 @@
 				enable_api_olduts=1
 				;;
 		(legacy) 	AC_DEFINE(VC_ENABLE_API_LEGACY,   1)
-				enable_api_old_proc=1
+				enable_api_oldproc=1
 				enable_api_olduts=1
 				;;
 		(v11)    	AC_DEFINE(VC_ENABLE_API_V11,      1)
@@ -245,6 +245,8 @@
 				AC_DEFINE(VC_ENABLE_API_V13,      1);;
 		(v13)    	AC_DEFINE(VC_ENABLE_API_V13,      1);;
 		(net)		AC_DEFINE(VC_ENABLE_API_NET,      1);;
+		(oldproc)	enable_api_oldproc=1;;
+		(olduts)	enable_api_olduts=1;;
 		(*)		AC_MSG_ERROR(['$i' is not a supported API]);;
 	esac
 done
